All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PHTML::Body Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Body:

## Public Member Functions

| Body (const char *attr=NULL)
virtual | ~Body ()
Public Member Functions inherited from PHTML::Element
virtual | ~Element ()

## Protected Member Functions

virtual void | Output (PHTML &html) const
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | AddAttr (PHTML &html) const

## Additional Inherited Members

Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Constructor & Destructor Documentation

PHTML::Body::Body | ( | const char * | attr = `NULL` | ) |

virtual PHTML::Body::~Body | ( |  | ) |

inline virtual

## Member Function Documentation

virtual void PHTML::Body::Output | ( | PHTML & | html | ) | const

protected virtual

Reimplemented from PHTML::Element.

The documentation for this class was generated from the following file:

- html.h